claw::ai::game::select_random_action< Method > Class Template Reference

Select a random action among the best ones. More...

`#include <game_ai.hpp>`

## Public Types

typedef Method::state | state
| The type of a state in the game.
typedef Method::action | action
| The type of the actions that change the state of the game.
typedef Method::score | score
| The type used to represent the score.

## Public Member Functions

void | operator() (int depth, const state &current_state, action &new_action, bool computer_turn) const

## Detailed Description

template<typename Method>
class claw::ai::game::select_random_action< Method >

Select a random action among the best ones.

Template parameters:

- Method: the method to use to evaluate the actions.

Author
  Julien Jorge, Sébastien Angibaud

Definition at line 227 of file game_ai.hpp.

## Member Typedef Documentation

## action

template<typename Method>

typedef Method::action claw::ai::game::select_random_action< Method >::action

The type of the actions that change the state of the game.

Definition at line 234 of file game_ai.hpp.

## score

template<typename Method>

typedef Method::score claw::ai::game::select_random_action< Method >::score

The type used to represent the score.

Definition at line 237 of file game_ai.hpp.

## state

template<typename Method>

typedef Method::state claw::ai::game::select_random_action< Method >::state

The type of a state in the game.

Definition at line 231 of file game_ai.hpp.

The documentation for this class was generated from the following file:

- game_ai.hpp